
CREATE TABLE IF NOT EXISTS 'AnC_DebugCheck' ('File' TEXT NOT NULL UNIQUE, 'Loaded' INTEGER DEFAULT 0, 'Executed' INTEGER DEFAULT 0, 'Mod' TEXT DEFAULT NULL);

INSERT OR REPLACE INTO AnC_DebugCheck (File, Mod)
VALUES
('AnC_DebugCheck.sql', 'AnC_DebugCheck'),
('AnC_QueryViews1A_STOCK.sql', 'AnC_QueryViews 1A for Civ5'),
('AnC_QueryViews1B_YIELDS.sql', 'AnC_QueryViews 1B for Civ5'),
('AnC_QueryViews1C_STOCK.sql', 'AnC_QueryViews 1C for Civ5'),
('AnC_QueryViews2_GnK.sql', 'AnC_QueryViews for GnK'),
('AnC_QueryViews3_BNW.sql', 'AnC_QueryViews for BNW'),
('AnC_QueryViews5_CP.sql', 'AnC_QueryViews for CP'),
('AnC_QueryViews7_CSD.sql', 'AnC_QueryViews for CSD'),
('AnC_QueryViews99.sql', 'AnC_QueryViews99'),
('AnC_NewFlavors1_STOCK.sql', 'Vanilla CIV5'),
('AnC_NewFlavors2_GnK.sql', 'GnK'),
('AnC_NewFlavors3_BNW.sql', 'BNW'),
('AnC_NewFlavors5_CP.sql', 'Community Patch (CP)'),
('AnC_NewFlavors6_CBP.sql', 'Community Balance Patch (CBP)'),
('AnC_NewFlavors7_CSD.sql', 'City-State Diplomacy Mod (CSD) - CBP Edition'),
('AnC_NewFlavors8_CBP_CF.sql', 'Community Balance Patch - Compatibility Files (EUI)\CSD'),
('AnC_NewFlavors9_CDF.sql', 'Civ IV Diplomatic Features (CDF) - CBP Edition'),
('AnC_NewFlavors10_ED.sql', 'Events and Decisions (ED) - CBP Edition'),
('AnC_NewFlavors91_STOCK.sql', 'AnC_NewFlavors91 CIV5'),
('AnC_NewFlavors93_BNW.sql', 'AnC_NewFlavors93 BNW'),
('AnC_NewFlavors95_CP.sql', 'AnC_NewFlavors95 CP'),
('AnC_NewFlavors99.sql', 'AnC_NewFlavors99');


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1, Executed = 1 WHERE File = 'AnC_DebugCheck.sql';