-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_NewFlavors6_CBP.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Community Balance Patch (CBP)
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Tech
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2Tech' (TT, FT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Technologies
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Technologies.Type AS TT, AnC_Flavor2Yields.FT AS FT, Technologies.BombardRange *AnC_Flavor2Yields.Flavor AS Flavor, 
'Technologies.BombardRange' AS FromTable, 'CBP' AS Mod
FROM Technologies, AnC_Flavor2Yields
WHERE Technologies.BombardRange = 1 AND AnC_Flavor2Yields.YT = 'AllowsRangeStrike'
UNION ALL
--
SELECT Technologies.Type AS TT, AnC_Flavor2Yields.FT AS FT, Technologies.BombardIndirect *AnC_Flavor2Yields.Flavor AS Flavor, 
'Technologies.BombardIndirect' AS FromTable, 'CBP' AS Mod
FROM Technologies, AnC_Flavor2Yields
WHERE Technologies.BombardIndirect = 1 AND AnC_Flavor2Yields.YT = 'AllowsRangeStrike'
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Tech END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_NewFlavors6_CBP.sql';