-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_NewFlavors8_CBP_CF.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Community Balance Patch - Compatibility Files (EUI)\CSD
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2BuildingType
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2BuildingType' (FT, BT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.DPToVotes
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Buildings.Type AS BT, Buildings.DPToVotes *AnC_Flavor2Yields.Flavor AS Flavor,
'Buildings.DPToVotes' AS FromTable, 'CSD-CBP CF' AS Mod
FROM AnC_Flavor2Yields, Buildings
WHERE Buildings.DPToVotes >= 1 AND AnC_Flavor2Yields.YT = 'DPToVotes'
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2BuildingType END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_NewFlavors8_CBP_CF.sql';