-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_NewFlavors93_BNW.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Policies
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2Policies' (FT, PT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policies.FreeBuildingOnConquest
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Building_Flavors.FlavorType AS FT, Policies.Type AS PT, Building_Flavors.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'FreeBuildingOnConquest') AS Flavor, 'Policies.FreeBuildingOnConquest' AS FromTable, 'BNW' AS Mod
FROM Building_Flavors, Policies
WHERE Policies.FreeBuildingOnConquest = Building_Flavors.BuildingType
UNION ALL
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Buildings.PolicyBranchType
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Building_Flavors.FlavorType AS FT, PolicyBranchTypes.FreePolicy AS PT, Building_Flavors.Flavor 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'Buildings.PolicyBranchType')AS Flavor, 'Buildings.PolicyBranchType' AS FromTable, 'BNW' AS Mod
FROM Buildings, Building_Flavors, PolicyBranchTypes
WHERE Buildings.PolicyBranchType NOT NULL AND PolicyBranchTypes.FreePolicy NOT NULL
/* POLICY_BRANCH_FREEDOM + POLICY_BRANCH_ORDER + POLICY_BRANCH_AUTOCRACY are not counted atm --> no FreePolicy */
AND Buildings.Type = Building_Flavors.BuildingType
AND Buildings.PolicyBranchType = PolicyBranchTypes.Type 
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Policies END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_NewFlavors93_BNW.sql';