-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_NewFlavors95_CP.sql';


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Policies
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2Policies' (FT, PT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Policy_FreeBuilding
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Building_Flavors.FlavorType AS FT, Policy_FreeBuilding.PolicyType AS PT, Building_Flavors.Flavor 
*(SELECT sum(AnC_AllBU.Weight) /count(AnC_AllBU.BC) FROM AnC_AllBU WHERE AnC_AllBU.BC = BuildingClasses.Type) 
*(SELECT TableMul FROM AnC_Flavor2Yields WHERE YT = 'FreeBuilding') AS Flavor,
'Policy_FreeBuilding' AS FromTable, 'CP' AS Mod
FROM Building_Flavors, Policy_FreeBuilding, BuildingClasses
WHERE /* we can also have negative */ Policy_FreeBuilding.Count <> 0 AND Policy_FreeBuilding.BuildingClassType = BuildingClasses.Type
AND BuildingClasses.DefaultBuilding = Building_Flavors.BuildingType  
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Policies END
------------------------------------------------------------------------------------------------------------------------------------------------------



-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_NewFlavors95_CP.sql';