-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_NewFlavors9_CDF.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Civ IV Diplomatic Features - CBP Edition (CDF)
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Tech
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO 'AnC_Flavor2Tech' (TT, FT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Technologies
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Technologies.Type AS TT, AnC_Flavor2Yields.FT AS FT, Technologies.VassalageTradingAllowed *AnC_Flavor2Yields.Flavor AS Flavor, 
'Technologies.VassalageTradingAllowed' AS FromTable, 'CDF' AS Mod
FROM Technologies, AnC_Flavor2Yields
WHERE Technologies.VassalageTradingAllowed = 1 AND AnC_Flavor2Yields.YT IN ('VassalageEnabled', 'YIELD_FOOD', 'YIELD_SCIENCE')
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Tech END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_NewFlavors9_CDF.sql';