-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Loaded = 1 WHERE File = 'AnC_QueryViews7_CSD.sql';
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_QueryViews7_CSD
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_GreatPersons2Yields
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO AnC_GreatPersons2YieldsT (UT, UC, ST, YT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT Units.Type AS UT, Units.Class AS UC, Specialists.Type AS ST, 'Influence' AS YT, Units.NumInfPerEra AS Flavor, 
'Units.NumInfPerEra' AS FromTable, 'CSD' AS Mod
FROM Specialists, Units
WHERE Units.Class = Specialists.GreatPeopleUnitClass
AND Units.NumInfPerEra <> 0
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_GreatPersons2Yields END
------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Improvement_Yields
------------------------------------------------------------------------------------------------------------------------------------------------------
INSERT INTO AnC_Flavor2Improvement_YieldsT (FT, IT, Flavor, FromTable, Mod)
------------------------------------------------------------------------------------------------------------------------------------------------------
-- Improvements
------------------------------------------------------------------------------------------------------------------------------------------------------
SELECT AnC_Flavor2Yields.FT AS FT, Improvements.Type AS IT, Improvements.ImprovementLeagueVotes *AnC_Flavor2Yields.Flavor AS Flavor,
'Improvements.ImprovementLeagueVotes' AS FromTable, 'CSD' AS Mod
FROM Improvements, AnC_Flavor2Yields
WHERE Improvements.ImprovementLeagueVotes = 1 
AND AnC_Flavor2Yields.YT = 'ImprovementLeagueVotes'
------------------------------------------------------------------------------------------------------------------------------------------------------
;
------------------------------------------------------------------------------------------------------------------------------------------------------
-- AnC_Flavor2Improvement_Yields END
------------------------------------------------------------------------------------------------------------------------------------------------------


-- AnC DebugCheck
UPDATE AnC_DebugCheck SET Executed = 1 WHERE File = 'AnC_QueryViews7_CSD.sql';